<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__comp__lp" kind="group">
    <compoundname>group_hal_comp_lp</compoundname>
    <title>COMP (LP Comparator block)</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__comp__lp_1gaf690b13f87bddb987a316dbb1ee5b190" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t _cyhal_comp_lp_init</definition>
        <argsstring>(cyhal_comp_t *obj, cyhal_gpio_t vin_p, cyhal_gpio_t vin_m, cyhal_gpio_t output, cyhal_comp_config_t *cfg)</argsstring>
        <name>_cyhal_comp_lp_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>vin_p</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>vin_m</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>output</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__config__t">cyhal_comp_config_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Initialize the Comparator peripheral for a LP-based comparator. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a Comparator object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">vin_p</parametername>
</parameternamelist>
<parameterdescription>
<para>Non-inverting input pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">vin_m</parametername>
</parameternamelist>
<parameterdescription>
<para>Inverting input pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">output</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator output pin. May be <ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__04__80__tqfp_1gga43c4aa9a5556b7386cb604f0ab3b242ca3dbd1016ea99d087d747530418b89a01">NC</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration structure </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="255" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="145" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_comp_lp.h" line="50" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp__lp_1gab0d486392f91487b3551b4f8a0fbd74f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void _cyhal_comp_lp_free</definition>
        <argsstring>(cyhal_comp_t *obj)</argsstring>
        <name>_cyhal_comp_lp_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Deinitialize the Comparator peripheral for a LP-based comparator. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="282" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="257" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_comp_lp.h" line="56" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp__lp_1gabf5db6e64e20c4454a441d3ac741c9af" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t _cyhal_comp_lp_set_power</definition>
        <argsstring>(cyhal_comp_t *obj, cyhal_power_level_t power)</argsstring>
        <name>_cyhal_comp_lp_set_power</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__general__types_1ga246fde0e79029f514ce3846b31e366d7">cyhal_power_level_t</ref></type>
          <declname>power</declname>
        </param>
        <briefdescription>
<para>Changes the current operating power level of the comparator for a LP-based comparator. </para>        </briefdescription>
        <detaileddescription>
<para>If the power level is set to <ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a0f601c5d5843c59e58ee1988dd0e6861">CYHAL_POWER_LEVEL_OFF</ref>, the comparator will be powered-off but it will retain its configuration, so it is not necessary to reconfigure it when changing the power level from <ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a0f601c5d5843c59e58ee1988dd0e6861">CYHAL_POWER_LEVEL_OFF</ref> to any other value.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">power</parametername>
</parameternamelist>
<parameterdescription>
<para>The power level to set </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set power request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="304" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="297" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_comp_lp.h" line="68" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp__lp_1ga6c35377a1e7b4cb2fd4bbc2685df0a15" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t _cyhal_comp_lp_configure</definition>
        <argsstring>(cyhal_comp_t *obj, cyhal_comp_config_t *cfg)</argsstring>
        <name>_cyhal_comp_lp_configure</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__config__t">cyhal_comp_config_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Reconfigure the Comparator for a LP-based comparator. </para>        </briefdescription>
        <detaileddescription>
<para>This retains the powered state of the comparator. Depending on the implementation, it may be necessary to temporarily deconfigure and/or power off the comparator in order to apply the new configuration. However, if the comparator is powered-off when this function is called, it will remain powered-off after it returns. Likewise, if the comparator is powered-on when this function is called, it will remain powered-on after it returns.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>New configuration to apply </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the configure request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="295" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="284" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_comp_lp.h" line="83" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp__lp_1ga91e5bc0e5f3e634387d4930f1ffb9259" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool _cyhal_comp_lp_read</definition>
        <argsstring>(cyhal_comp_t *obj)</argsstring>
        <name>_cyhal_comp_lp_read</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Reads the Comparator state for a LP-based comparator. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The Comparator state. True if the non-inverting pin voltage is greater than the inverting pin voltage, false otherwise. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="310" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="306" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_comp_lp.h" line="91" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp__lp_1ga218f0364ab4bde8094700b012e12d991" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void _cyhal_comp_lp_enable_event</definition>
        <argsstring>(cyhal_comp_t *obj, cyhal_comp_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>_cyhal_comp_lp_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Enable or Disable a Comparator event for a LP-based comparator. </para>        </briefdescription>
        <detaileddescription>
<para>When an enabled event occurs, the function specified by <ref kindref="member" refid="group__group__hal__comp_1ga0baa90d0b7b567226d997fbc09e07843">cyhal_comp_register_callback</ref> will be called.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator event </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>Priority for NVIC interrupt events </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on event, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="328" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp_lp.c" bodystart="312" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_comp_lp.h" line="102" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Implementation of the analog comparator (COMP) driver on top of the LP (low power) comparator. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>